summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--Makefile.in29
-rw-r--r--bin/quilt.in16
-rw-r--r--quilt/add.in8
-rw-r--r--quilt/annotate.in6
-rw-r--r--quilt/applied.in6
-rw-r--r--quilt/delete.in6
-rw-r--r--quilt/diff.in6
-rw-r--r--quilt/edit.in6
-rw-r--r--quilt/files.in6
-rw-r--r--quilt/fold.in6
-rw-r--r--quilt/fork.in6
-rw-r--r--quilt/graph.in8
-rw-r--r--quilt/grep.in6
-rw-r--r--quilt/header.in6
-rw-r--r--quilt/import.in6
-rw-r--r--quilt/mail.in18
-rw-r--r--quilt/new.in6
-rw-r--r--quilt/next.in6
-rw-r--r--quilt/patches.in6
-rw-r--r--quilt/pop.in10
-rw-r--r--quilt/previous.in6
-rw-r--r--quilt/push.in8
-rw-r--r--quilt/refresh.in10
-rw-r--r--quilt/remove.in8
-rw-r--r--quilt/rename.in6
-rw-r--r--quilt/series.in6
-rw-r--r--quilt/setup.in8
-rw-r--r--quilt/snapshot.in8
-rw-r--r--quilt/top.in6
-rw-r--r--quilt/unapplied.in6
-rw-r--r--quilt/upgrade.in6
-rw-r--r--scripts/inspect.in6
-rw-r--r--scripts/patchfns.in6
-rw-r--r--test/Makefile6
34 files changed, 133 insertions, 136 deletions
diff --git a/Makefile.in b/Makefile.in
index 56719f0..5d8c11e 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -14,9 +14,7 @@ localedir := $(datadir)/locale
etcdir := $(subst /usr/etc,/etc,$(prefix)/etc)
QUILT_DIR = $(datadir)/$(PACKAGE)
-SCRIPTS_DIR = $(QUILT_DIR)/scripts
-COMPAT_DIR = $(QUILT_DIR)/compat
-LIB_DIR = $(libdir)/$(PACKAGE)
+QUILT_LIB = $(libdir)/$(PACKAGE)
INSTALL := @INSTALL@
POD2MAN := @POD2MAN@
@@ -47,7 +45,7 @@ default: all
define COMPAT_SYMLINK_install
install-compat-symlink-$(strip $(1)): install-compat
ln -sf $($(shell echo $(1) | $(AWK) '{print toupper($$1)}')) \
- $(BUILD_ROOT)$(COMPAT_DIR)/$(strip $(1))
+ $(BUILD_ROOT)$(QUILT_DIR)/compat/$(strip $(1))
endef
$(foreach symlink,$(COMPAT_SYMLINKS),$(eval $(call COMPAT_SYMLINK_install, $(symlink))))
@@ -259,9 +257,8 @@ $(PACKAGE).spec : $(PACKAGE).spec.in $(PACKAGE).changes Makefile
$(patsubst %.in,%,$(wildcard quilt/*.in scripts/*.in)) :: Makefile
% :: %.in
@echo "$< -> $@" >&2
- @sed -e 's:@LIB''@:$(LIB_DIR):g' \
- -e 's:@QUILT''@:$(QUILT_DIR):g' \
- -e 's:@SCRIPTS''@:$(SCRIPTS_DIR):g' \
+ @sed -e 's:@QUILT_LIB''@:$(QUILT_LIB):g' \
+ -e 's:@QUILT_DIR''@:$(QUILT_DIR):g' \
-e 's:@PERL''@:$(PERL):g' \
-e 's:@BASH''@:$(BASH):g' \
-e 's:@VERSION''@:$(VERSION):g' \
@@ -285,14 +282,14 @@ install-main ::
$(INSTALL) -d $(BUILD_ROOT)$(QUILT_DIR)
$(INSTALL) -m 755 $(QUILT:%=quilt/%) $(BUILD_ROOT)$(QUILT_DIR)/
- $(INSTALL) -d $(BUILD_ROOT)$(SCRIPTS_DIR)
+ $(INSTALL) -d $(BUILD_ROOT)$(QUILT_DIR)/scripts
$(INSTALL) -m 755 $(patsubst %,scripts/%, \
$(filter-out patchfns,$(SCRIPTS))) \
- $(BUILD_ROOT)$(SCRIPTS_DIR)
- $(INSTALL) -m 644 scripts/patchfns $(BUILD_ROOT)$(SCRIPTS_DIR)
+ $(BUILD_ROOT)$(QUILT_DIR)/scripts
+ $(INSTALL) -m 644 scripts/patchfns $(BUILD_ROOT)$(QUILT_DIR)/scripts
- $(INSTALL) -d $(BUILD_ROOT)$(LIB_DIR)
- $(INSTALL) -m 755 $(LIB:%=lib/%) $(BUILD_ROOT)$(LIB_DIR)/
+ $(INSTALL) -d $(BUILD_ROOT)$(QUILT_LIB)
+ $(INSTALL) -m 755 $(LIB:%=lib/%) $(BUILD_ROOT)$(QUILT_LIB)/
$(INSTALL) -d $(BUILD_ROOT)$(docdir)/$(PACKAGE)-$(VERSION)/
$(INSTALL) -m 644 doc/README \
@@ -309,11 +306,11 @@ install-main ::
$(INSTALL) -m 644 quilt.quiltrc $(BUILD_ROOT)$(etcdir)/
install-compat:
- @rm -rf $(BUILD_ROOT)$(COMPAT_DIR)
+ @rm -rf $(BUILD_ROOT)$(QUILT_DIR)/compat
ifneq ($(COMPAT_PROGRAMS)$(COMPAT_SYMLINKS),)
- $(INSTALL) -d $(BUILD_ROOT)$(COMPAT_DIR)
+ $(INSTALL) -d $(BUILD_ROOT)$(QUILT_DIR)/compat
ifneq ($(COMPAT_PROGRAMS),)
- $(INSTALL) -m 755 $(COMPAT_PROGRAMS:%=compat/%) $(BUILD_ROOT)$(COMPAT_DIR)
+ $(INSTALL) -m 755 $(COMPAT_PROGRAMS:%=compat/%) $(BUILD_ROOT)$(QUILT_DIR)/compat
endif
endif
@@ -322,7 +319,7 @@ install: scripts install-main install-compat \
uninstall ::
rm -rf $(BIN:%=$(BUILD_ROOT)$(bindir)/%) \
- $(BUILD_ROOT)$(LIB_DIR) \
+ $(BUILD_ROOT)$(QUILT_LIB) \
$(BUILD_ROOT)$(QUILT_DIR) \
$(patsubst %,$(BUILD_ROOT)$(mandir)/man1/%, \
$(notdir $(MAN1))) \
diff --git a/bin/quilt.in b/bin/quilt.in
index 2db6d21..1279b25 100644
--- a/bin/quilt.in
+++ b/bin/quilt.in
@@ -9,8 +9,8 @@
export TEXTDOMAIN=quilt
export TEXTDOMAINDIR=@LOCALEDIR@
-: ${QUILT=@QUILT@} ${LIB=@LIB@}
-export QUILT LIB
+: ${QUILT_DIR=@QUILT_DIR@} ${QUILT_LIB=@QUILT_LIB@}
+export QUILT_DIR QUILT_LIB
if [ -z "$QUILTRC" ]
then
@@ -21,9 +21,9 @@ then
fi
# Support compatibility layer
-if [ -d $QUILT/compat ]
+if [ -d $QUILT_DIR/compat ]
then
- export PATH="$QUILT/compat:$PATH"
+ export PATH="$QUILT_DIR/compat:$PATH"
fi
usage()
@@ -56,11 +56,11 @@ Global options:
quilt_commands()
{
local command
- for command in $QUILT/*
+ for command in $QUILT_DIR/*
do
if [ -f "$command" -a -x "$command" ]
then
- echo ${command##$QUILT/}
+ echo ${command##$QUILT_DIR/}
fi
done
}
@@ -108,7 +108,7 @@ do
shift
done
-if ! [ -f "$QUILT/$command" -a -x "$QUILT/$command" ]
+if ! [ -f "$QUILT_DIR/$command" -a -x "$QUILT_DIR/$command" ]
then
if [ -n "$command" ]
then
@@ -140,4 +140,4 @@ set -- "${args[@]}"
unset args
export QUILT_COMMAND="${command##*/}"
-bash $BASH_OPTS -c ". $QUILT/$command" "quilt ${command##*/}" "$@"
+bash $BASH_OPTS -c ". $QUILT_DIR/$command" "quilt ${command##*/}" "$@"
diff --git a/quilt/add.in b/quilt/add.in
index 42a3f8f..31a2f0e 100644
--- a/quilt/add.in
+++ b/quilt/add.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
@@ -139,7 +139,7 @@ do
continue
fi
- if ! $LIB/backup-files -b -s -L -B $QUILT_PC/$patch/ $SUBDIR$file
+ if ! $QUILT_LIB/backup-files -b -s -L -B $QUILT_PC/$patch/ $SUBDIR$file
then
printf $"Failed to back up file %s\n" "$SUBDIR$file" >&2
status=1
diff --git a/quilt/annotate.in b/quilt/annotate.in
index 466da1b..a623561 100644
--- a/quilt/annotate.in
+++ b/quilt/annotate.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
diff --git a/quilt/applied.in b/quilt/applied.in
index 55c5b5c..af19bc9 100644
--- a/quilt/applied.in
+++ b/quilt/applied.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
diff --git a/quilt/delete.in b/quilt/delete.in
index 2b18930..363a104 100644
--- a/quilt/delete.in
+++ b/quilt/delete.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
diff --git a/quilt/diff.in b/quilt/diff.in
index 6c4056d..21afe05 100644
--- a/quilt/diff.in
+++ b/quilt/diff.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
setup_colors
diff --git a/quilt/edit.in b/quilt/edit.in
index ff20c38..09ee3f6 100644
--- a/quilt/edit.in
+++ b/quilt/edit.in
@@ -11,12 +11,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
diff --git a/quilt/files.in b/quilt/files.in
index 67872ab..5ad9e08 100644
--- a/quilt/files.in
+++ b/quilt/files.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
diff --git a/quilt/fold.in b/quilt/fold.in
index 9a91a26..1204fff 100644
--- a/quilt/fold.in
+++ b/quilt/fold.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
diff --git a/quilt/fork.in b/quilt/fork.in
index e600ee1..970d870 100644
--- a/quilt/fork.in
+++ b/quilt/fork.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
diff --git a/quilt/graph.in b/quilt/graph.in
index 719e176..90314ee 100644
--- a/quilt/graph.in
+++ b/quilt/graph.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
@@ -143,7 +143,7 @@ pipe=
[ -n "$opt_format" ] && pipe="| dot -T$opt_format"
applied_patches \
-| eval $QUILT/scripts/dependency-graph $options - $pipe
+| eval $QUILT_DIR/scripts/dependency-graph $options - $pipe
### Local Variables:
### mode: shell-script
### End:
diff --git a/quilt/grep.in b/quilt/grep.in
index 7b90d8b..4407737 100644
--- a/quilt/grep.in
+++ b/quilt/grep.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
diff --git a/quilt/header.in b/quilt/header.in
index 0b041c2..e327938 100644
--- a/quilt/header.in
+++ b/quilt/header.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
: ${EDITOR:=vi}
diff --git a/quilt/import.in b/quilt/import.in
index 9ea6cda..6af47a4 100644
--- a/quilt/import.in
+++ b/quilt/import.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
diff --git a/quilt/mail.in b/quilt/mail.in
index 4026261..fe44a4c 100644
--- a/quilt/mail.in
+++ b/quilt/mail.in
@@ -11,12 +11,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
@@ -65,14 +65,14 @@ process_mail()
local tmpfile=$(gen_tempfile)
cat > $tmpfile
- set -- $($QUILT/scripts/edmail --charset $opt_charset \
+ set -- $($QUILT_DIR/scripts/edmail --charset $opt_charset \
--extract-recipients To \
--extract-recipients Cc \
--extract-recipients Bcc \
< $tmpfile)
if [ -n "$opt_send" ]; then
echo sendmail ${QUILT_SENDMAIL_ARGS--f "$opt_sender"} "$@"
- $QUILT/scripts/edmail --charset $opt_charset \
+ $QUILT_DIR/scripts/edmail --charset $opt_charset \
--remove-header Bcc "$@" < $tmpfile \
| sendmail ${QUILT_SENDMAIL_ARGS--f "$opt_sender"} "$@"
else
@@ -186,7 +186,7 @@ introduction=$(gen_tempfile)
--
EOF
[ -r $HOME/.signature ] && cat $HOME/.signature
-) | $QUILT/scripts/edmail --charset $opt_charset > $introduction
+) | $QUILT_DIR/scripts/edmail --charset $opt_charset > $introduction
$EDITOR $introduction || exit 1
@@ -207,7 +207,7 @@ p=${p//@total@/$total}
sed -e $'s/^\\(Subject:[ \t]\\)/\\1'"$p"'/' \
-e '/^Subject-Prefix:/d' \
$introduction \
-| $QUILT/scripts/edmail --charset $opt_charset \
+| $QUILT_DIR/scripts/edmail --charset $opt_charset \
--remove-empty-headers To Cc Bcc \
| process_mail
@@ -263,13 +263,13 @@ for patch in "$@"; do
' $body
echo -e '\n--'
[ -r $HOME/.signature ] && cat $HOME/.signature
- ) | eval $QUILT/scripts/edmail --charset $opt_charset \
+ ) | eval $QUILT_DIR/scripts/edmail --charset $opt_charset \
--replace-header Date="\"$new_date\"" \
To Cc Bcc \
$modify \
| sed -e $'s/^\\(Subject:[ \t]\\)/\\1'"$p"'/' \
-e '/^Subject-Prefix:/d' \
- | $QUILT/scripts/edmail --remove-empty-headers \
+ | $QUILT_DIR/scripts/edmail --remove-empty-headers \
| process_mail
if [ ${PIPESTATUS[1]} -ne 0 ]; then
diff --git a/quilt/new.in b/quilt/new.in
index 178775d..5ccb5d4 100644
--- a/quilt/new.in
+++ b/quilt/new.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
diff --git a/quilt/next.in b/quilt/next.in
index de8c6e6..01ed4b4 100644
--- a/quilt/next.in
+++ b/quilt/next.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
diff --git a/quilt/patches.in b/quilt/patches.in
index 16e3fa6..6ad176e 100644
--- a/quilt/patches.in
+++ b/quilt/patches.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
diff --git a/quilt/pop.in b/quilt/pop.in
index a509e7a..76bf93c 100644
--- a/quilt/pop.in
+++ b/quilt/pop.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
@@ -170,7 +170,7 @@ remove_patch()
status=0
else
printf $"Removing patch %s\n" "$(print_patch $patch)"
- $LIB/backup-files $silent -r -t -B $QUILT_PC/$patch/ -
+ $QUILT_LIB/backup-files $silent -r -t -B $QUILT_PC/$patch/ -
status=$?
fi
remove_from_db $patch
@@ -285,7 +285,7 @@ else
# of one: This will automatically be the case in the usual
# situations, but we don't want to risk file corruption in weird
# corner cases such as files added to a patch but not modified.
- $LIB/backup-files -L -s -B $QUILT_PC/$patch/ -
+ $QUILT_LIB/backup-files -L -s -B $QUILT_PC/$patch/ -
printf $"Now at patch %s\n" "$(print_patch $patch)"
fi
### Local Variables:
diff --git a/quilt/previous.in b/quilt/previous.in
index ed44465..ba4e09f 100644
--- a/quilt/previous.in
+++ b/quilt/previous.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
diff --git a/quilt/push.in b/quilt/push.in
index 8eeb588..4c5e68d 100644
--- a/quilt/push.in
+++ b/quilt/push.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
setup_colors
@@ -119,7 +119,7 @@ rollback_patch()
{
local patch=$1
- $LIB/backup-files $silent_unless_verbose -r -B $QUILT_PC/$patch/ -
+ $QUILT_LIB/backup-files $silent_unless_verbose -r -B $QUILT_PC/$patch/ -
}
cleanup_patch_output() {
diff --git a/quilt/refresh.in b/quilt/refresh.in
index 36c9688..245bf47 100644
--- a/quilt/refresh.in
+++ b/quilt/refresh.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
@@ -223,11 +223,11 @@ fi
# Check for trailing whitespace
if [ -z "$opt_strip_whitespace" ]
then
- $QUILT/scripts/remove-trailing-ws -n -p$opt_strip_level \
+ $QUILT_DIR/scripts/remove-trailing-ws -n -p$opt_strip_level \
< $tmp_patch
else
tmp_patch2=$(gen_tempfile)
- if $QUILT/scripts/remove-trailing-ws -p$opt_strip_level \
+ if $QUILT_DIR/scripts/remove-trailing-ws -p$opt_strip_level \
< $tmp_patch > $tmp_patch2
then
rm -f $tmp_patch
diff --git a/quilt/remove.in b/quilt/remove.in
index 082a476..d27c842 100644
--- a/quilt/remove.in
+++ b/quilt/remove.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
@@ -104,7 +104,7 @@ do
fi
# Restore file from backup
- if ! $LIB/backup-files -r -t -s -B $QUILT_PC/$patch/ $SUBDIR$file
+ if ! $QUILT_LIB/backup-files -r -t -s -B $QUILT_PC/$patch/ $SUBDIR$file
then
printf $"Failed to remove file %s from patch %s\n" \
"$SUBDIR$file" "$(print_patch $patch)" >&2
diff --git a/quilt/rename.in b/quilt/rename.in
index 88f967d..cdf8d36 100644
--- a/quilt/rename.in
+++ b/quilt/rename.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
diff --git a/quilt/series.in b/quilt/series.in
index 0e23b6c..fa1d192 100644
--- a/quilt/series.in
+++ b/quilt/series.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
diff --git a/quilt/setup.in b/quilt/setup.in
index d8847da..7202bfa 100644
--- a/quilt/setup.in
+++ b/quilt/setup.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
if [ -n "$SUBDIR" ]
then
cd $SUBDIR
@@ -113,7 +113,7 @@ case "$1" in
*.spec)
spec_file="$1"
- if ! $QUILT/scripts/inspect $verbose "$spec_file" 2>&1 > $tmpfile
+ if ! $QUILT_DIR/scripts/inspect $verbose "$spec_file" 2>&1 > $tmpfile
then
printf $"The %%prep section of %s failed; results may be incomplete\n" "$spec_file"
if [ -z "$verbose" ]
diff --git a/quilt/snapshot.in b/quilt/snapshot.in
index 0139af6..bc34be7 100644
--- a/quilt/snapshot.in
+++ b/quilt/snapshot.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
@@ -85,7 +85,7 @@ done \
}
{ print }
' \
-| $LIB/backup-files -b -s -L -f - -B "$QUILT_PC/$snap_subdir/"
+| $QUILT_LIB/backup-files -b -s -L -f - -B "$QUILT_PC/$snap_subdir/"
### Local Variables:
### mode: shell-script
diff --git a/quilt/top.in b/quilt/top.in
index f70d2a2..f8f5fde 100644
--- a/quilt/top.in
+++ b/quilt/top.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
diff --git a/quilt/unapplied.in b/quilt/unapplied.in
index 357ed82..3f897cf 100644
--- a/quilt/unapplied.in
+++ b/quilt/unapplied.in
@@ -9,12 +9,12 @@
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
diff --git a/quilt/upgrade.in b/quilt/upgrade.in
index ec1da32..d8e2dad 100644
--- a/quilt/upgrade.in
+++ b/quilt/upgrade.in
@@ -12,12 +12,12 @@ skip_version_check=1
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
- if ! [ -r $QUILT/scripts/patchfns ]
+ if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
- . $QUILT/scripts/patchfns
+ . $QUILT_DIR/scripts/patchfns
fi
usage()
diff --git a/scripts/inspect.in b/scripts/inspect.in
index c789894..d318ad2 100644
--- a/scripts/inspect.in
+++ b/scripts/inspect.in
@@ -8,12 +8,12 @@
: ${LIB=@LIB@} ${QUILT=@QUILT@}
-if ! [ -r $QUILT/scripts/patchfns ]
+if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
- echo "Cannot read library $QUILT/scripts/patchfns" >&2
+ echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
-. $QUILT/scripts/patchfns
+. $QUILT_DIR/scripts/patchfns
cd ${SUBDIR:-.}
usage() {
diff --git a/scripts/patchfns.in b/scripts/patchfns.in
index 5e29da6..bf8b71c 100644
--- a/scripts/patchfns.in
+++ b/scripts/patchfns.in
@@ -24,9 +24,9 @@ DB_VERSION=2
: ${QUILT_PC:=.pc}
# Support compatibility layer
-if [ -d $QUILT/compat ]
+if [ -d $QUILT_DIR/compat ]
then
- export PATH="$QUILT/compat:$PATH"
+ export PATH="$QUILT_DIR/compat:$PATH"
fi
unset CDPATH
@@ -729,7 +729,7 @@ quilt_command ()
local command=$1
shift
- QUILT_COMMAND="" bash $BASH_OPTS -c ". $QUILT/$command" "quilt $command" "$@"
+ QUILT_COMMAND="" bash $BASH_OPTS -c ". $QUILT_DIR/$command" "quilt $command" "$@"
}
#
diff --git a/test/Makefile b/test/Makefile
index 9ec75d3..880d58e 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -1,9 +1,9 @@
TESTS=$(shell ls -tr *.test)
QUILTRC=$(CURDIR)/test.quiltrc
-QUILT=$(CURDIR)/../quilt
-LIB=$(CURDIR)/../lib
-export QUILTRC QUILT LIB
+QUILT_DIR=$(CURDIR)/../quilt
+QUILT_LIB=$(CURDIR)/../lib
+export QUILTRC QUILT_DIR QUILT_LIB
PATH:=$(CURDIR)/../bin:$(PATH)
ifneq ($(shell . $(QUILTRC) ; echo $$QUILT_PATCHES_PREFIX),)
P=patches/